petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSComputeRHSHessianProductFunctionUU

Runs the user-defined vector-Hessian-vector product function for Guu.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSHessianProductFunctionUU(TS ts,PetscReal t,Vec U,Vec *Vl,Vec Vr,Vec *VHV)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate()

### Notes

TSComputeRHSHessianProductFunctionUU() is typically used for sensitivity implementation, so most users would not generally call this routine themselves.

### See Also

TSSetRHSHessianProduct()

### Level

developer

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages